%define lib_major	2
%define lib_name	%mklibname ucil %{lib_major}
%define develname	%mklibname -d ucil

Summary: Library to render text and graphic overlays onto video images
Name: libucil
Version: 0.9.10
Release: %mkrel 2
Source0: http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.xz
Patch0: libucil-0.9.8-bz627890.patch
Patch1: libucil-0.9.10-leaks.patch
Patch2: libucil-0.9.10-warnings.patch
License: GPLv2+
Group: System/Libraries
Url: http://www.unicap-imaging.org/
#-----------------------------------------------------
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires:%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}unicap-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libtheora-devel
#-----------------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The related ucil library provides easy to use functions to render text
and graphic overlays onto video images.

%package -n %{lib_name}
Summary:	Dynamic libraries for libucil
Group:		System/Libraries
Conflicts:	%{_lib}unicap2 < 0.9.12

%description -n %{lib_name}
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The related ucil library provides easy to use functions to render text
and graphic overlays onto video images.

%package -n %{develname}
Summary:	Development libraries, include files for Ucil
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Conflicts:	%{_lib}unicap-devel < 0.9.12

%description -n %{develname}
The package includes header files and libraries necessary
for developing programs which use the ucil library. It contains the API
documentation of the library, too.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libucil
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%clean
rm -rf %buildroot

%changelog
* Mon Mar 02 2015 bb <bb> 0.9.10-2pclos2015
- rebuild for gstreamer1.0

* Sun Feb 16 2014 bb <bb> 0.9.10-1pclos2014
- import into pclos
